ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.61 by root, Mon Jan 2 18:25:02 2006 UTC vs.
Revision 1.64 by root, Tue Jan 10 18:09:22 2006 UTC

4320 4320
4321MALLOC_TYPE=S 4321MALLOC_TYPE=S
4322 4322
4323support_addstrings=no 4323support_addstrings=no
4324support_frills=yes 4324support_frills=yes
4325support_inheritpixmap=no 4325support_inheritpixmap=yes
4326support_tinting=yes 4326support_tinting=yes
4327support_fading=yes 4327support_fading=yes
4328support_keepscrolling=yes 4328support_keepscrolling=yes
4329support_selectionscrolling=yes 4329support_selectionscrolling=yes
4330support_menubar=no 4330support_menubar=no
4338support_scroll_rxvt=yes 4338support_scroll_rxvt=yes
4339support_scroll_next=yes 4339support_scroll_next=yes
4340support_scroll_xterm=yes 4340support_scroll_xterm=yes
4341support_scroll_plain=yes 4341support_scroll_plain=yes
4342support_xim=yes 4342support_xim=yes
4343support_xpm=no 4343support_xpm=yes
4344support_xft=yes 4344support_xft=yes
4345support_unicode3=no 4345support_unicode3=no
4346support_combining=yes 4346support_combining=yes
4347support_8bitctrls=no 4347support_8bitctrls=no
4348support_iso14755=yes 4348support_iso14755=yes
4349support_styles=yes 4349support_styles=yes
4350support_perl=no 4350support_perl=yes
4351codesets=all 4351codesets=all
4352 4352
4353 4353
4354if test "x$enable_shared" = xyes; then 4354if test "x$enable_shared" = xyes; then
4355 4355
7308 7308
7309 7309
7310 7310
7311 7311
7312 7312
7313
7314
7313for ac_header in \ 7315for ac_header in \
7314 assert.h \ 7316 assert.h \
7315 fcntl.h \ 7317 fcntl.h \
7316 grp.h \ 7318 grp.h \
7317 libc.h \ 7319 libc.h \
7330 sys/time.h \ 7332 sys/time.h \
7331 utmp.h \ 7333 utmp.h \
7332 utmpx.h \ 7334 utmpx.h \
7333 stdint.h \ 7335 stdint.h \
7334 pty.h \ 7336 pty.h \
7337 util.h \
7338 libutil.h \
7335 wchar.h \ 7339 wchar.h \
7336 cwchar \ 7340 cwchar \
7337 clocale \ 7341 clocale \
7338 7342
7339do 7343do
12185 12189
12186fi 12190fi
12187 12191
12188if test x$support_xft = xyes; then 12192if test x$support_xft = xyes; then
12189 LIBS="$LIBS `pkg-config xft --libs`" 12193 LIBS="$LIBS `pkg-config xft --libs`"
12190 CFLAGS="$CFLAGS `pkg-config xft --cflags`"
12191 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12194 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
12192 12195
12193 12196
12194for ac_header in X11/Xft/Xft.h 12197for ac_header in X11/Xft/Xft.h
12195do 12198do
12739 12742
12740 echo "$as_me:$LINENO: checking for $PERL suitability" >&5 12743 echo "$as_me:$LINENO: checking for $PERL suitability" >&5
12741echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6 12744echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6
12742 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then 12745 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then
12743 12746
12747 save_CXXFLAGS="$CXXFLAGS"
12748 save_LIBS="$LIBS"
12749 CXXFLAGS="$CXXFLAGS `$PERL -MExtUtils::Embed -e ccopts`"
12750 LIBS="$LIBS `$PERL -MExtUtils::Embed -e ldopts`"
12751 cat >conftest.$ac_ext <<_ACEOF
12752/* confdefs.h. */
12753_ACEOF
12754cat confdefs.h >>conftest.$ac_ext
12755cat >>conftest.$ac_ext <<_ACEOF
12756/* end confdefs.h. */
12757
12758#include <EXTERN.h>
12759#include <perl.h>
12760#include <XSUB.h>
12761
12762int
12763main ()
12764{
12765
12766 PerlInterpreter *perl = perl_alloc ();
12767
12768 ;
12769 return 0;
12770}
12771_ACEOF
12772rm -f conftest.$ac_objext conftest$ac_exeext
12773if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12774 (eval $ac_link) 2>conftest.er1
12775 ac_status=$?
12776 grep -v '^ *+' conftest.er1 >conftest.err
12777 rm -f conftest.er1
12778 cat conftest.err >&5
12779 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12780 (exit $ac_status); } &&
12781 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12782 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12783 (eval $ac_try) 2>&5
12784 ac_status=$?
12785 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12786 (exit $ac_status); }; } &&
12787 { ac_try='test -s conftest$ac_exeext'
12788 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12789 (eval $ac_try) 2>&5
12790 ac_status=$?
12791 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12792 (exit $ac_status); }; }; then
12793 rxvt_perl_link=yes
12794else
12795 echo "$as_me: failed program was:" >&5
12796sed 's/^/| /' conftest.$ac_ext >&5
12797
12798rxvt_perl_link=no
12799fi
12800rm -f conftest.err conftest.$ac_objext \
12801 conftest$ac_exeext conftest.$ac_ext
12802 CXXFLAGS="$save_CXXFLAGS"
12803 LIBS="$save_LIBS"
12804
12805 if test x$rxvt_perl_link = xyes; then
12806 echo "$as_me:$LINENO: result: ok" >&5
12807echo "${ECHO_T}ok" >&6
12808
12744cat >>confdefs.h <<\_ACEOF 12809cat >>confdefs.h <<\_ACEOF
12745#define ENABLE_PERL 1 12810#define ENABLE_PERL 1
12746_ACEOF 12811_ACEOF
12747 12812
12748 IF_PERL= 12813 IF_PERL=
12749 PERL_O=rxvtperl.o 12814 PERL_O=rxvtperl.o
12750 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`" 12815 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`"
12751 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`" 12816 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`"
12752 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`" 12817 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`"
12818 else
12819 support_perl=no
12753 echo "$as_me:$LINENO: result: ok" >&5 12820 echo "$as_me:$LINENO: result: no, unable to link" >&5
12754echo "${ECHO_T}ok" >&6 12821echo "${ECHO_T}no, unable to link" >&6
12822 fi
12755 else 12823 else
12756 { { echo "$as_me:$LINENO: error: no working perl found" >&5 12824 { { echo "$as_me:$LINENO: error: no working perl found" >&5
12757echo "$as_me: error: no working perl found" >&2;} 12825echo "$as_me: error: no working perl found" >&2;}
12758 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; } 12826 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; }
12827 support_perl=no
12759 fi 12828 fi
12760fi 12829fi
12761 12830
12762 12831
12763 12832
12764 12833
12765 12834
12766 12835
12836
12837if text x$support_perl = xyes; then
12838 support_frills=yes
12839fi
12767 12840
12768 12841
12769CFLAGS=${CFLAGS--O} 12842CFLAGS=${CFLAGS--O}
12770LDFLAGS=${LDFLAGS--O} 12843LDFLAGS=${LDFLAGS--O}
12771 12844

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines